version: '3.8'

networks:
  hedgedoc:
  rproxy_hedgedoc:
    external: true
    name: 'rproxy_hedgedoc'

services:
  hedgedoc:
    restart: unless-stopped
    image: ghcr.io/linuxserver/hedgedoc:latest
    container_name: hedgedoc
    depends_on:
      - mariadb
    volumes:
      - ./config:/config
    environment:
      TZ: ${TZ:?missing TZ}
      PGID: ${PGID:?missing PGID}
      PUID: ${PUID:?missing PUID}
      DB_HOST: mariadb
      DB_USER: ${DB_USER:?missing DB_USER}
      DB_PASS: ${DB_PASSWORD:?missing DB_PASS}
      DB_NAME: ${DB_NAME:?missing DB_NAME}
      DB_PORT: ${DB_PORT:?missing DB_PORT}
    networks:
      hedgedoc:
      rproxy_hedgedoc:

  mariadb:
    restart: unless-stopped
    image: ghcr.io/linuxserver/mariadb
    container_name: hedgedoc_mariadb
    volumes:
      - ./mariadb-config:/config
    environment:
      TZ: ${TZ:?missing TZ}
      PUID: ${PUID:?missing PUID}
      PGID: ${PGID:?missing PGID}
      MYSQL_ROOT_PASSWORD: ${DB_ROOT_PASSWORD:?missing MYSQL_ROOT_PASSWORD}
      MYSQL_DATABASE: ${DB_NAME:?missing MYSQL_DATABASE}
      MYSQL_USER: ${DB_USER:?missing MYSQL_USER}
      MYSQL_PASSWORD: ${DB_PASSWORD:?missing MYSQL_PASSWORD}
    networks:
      hedgedoc: